Seite 1 von 2

Installation auf Ubuntu ab 14.04

Verfasst: Di 19. Aug 2014, 11:46
von Admin
Auch auf der LTS-Version Ubuntu 14.04 lässt sich KompoZer installieren. Allerdings ist es diesmal nicht mit einem einzigen Klick getan.

Auf Ubuntuusers.de gibt es hierzu eine ausführliche Anleitung, die ich hier in aller Kürze wiedergeben möchte.

Zunächst müssen einige Pakete aus den Quellen nachinstalliert werden.

[col]libatk1.0-0
libc6
libcairo2
libfontconfig1
libfreetype6
libgdk-pixbuf2.0-0
libglib2.0-0
libgtk2.0-0
libidl0
libnspr4
libnss3|libpango1.0-0
libpng12-0
libstdc++6
libx11-6
libxft2
libxinerama1
libxrender1
libxt6
zlib1g[/col]

Die Paketliste zum kopieren und im Terminal einzugeben:

Code: Alles auswählen

sudo apt-get install libatk1.0-0 libc6 libcairo2 libfontconfig1 libfreetype6 libgdk-pixbuf2.0-0 libglib2.0-0 libgtk2.0-0 libidl0 libnspr4 libnss3 libpango1.0-0 libpng12-0 libstdc++6 libx11-6 libxft2 libxinerama1 libxrender1 libxt6 zlib1g 
Anschließend installierst du den KompoZer

auf 32-Bit Systemen:

Code: Alles auswählen

wget https://launchpad.net/ubuntu/+archive/primary/+files/kompozer-data_0.8%7Eb3.dfsg.1-0.1ubuntu2_all.deb
wget https://launchpad.net/ubuntu/+archive/primary/+files/kompozer_0.8%7Eb3.dfsg.1-0.1ubuntu2_i386.deb
sudo dpkg -i kompozer-data_0.8~b3.dfsg.1-0.1ubuntu2_all.deb
sudo dpkg -i kompozer_0.8~b3.dfsg.1-0.1ubuntu2_i386.deb 
und auf 64-Bit Systemen:

Code: Alles auswählen

wget https://launchpad.net/ubuntu/+archive/primary/+files/kompozer-data_0.8%7Eb3.dfsg.1-0.1ubuntu2_all.deb
wget https://launchpad.net/ubuntu/+archive/primary/+files/kompozer_0.8%7Eb3.dfsg.1-0.1ubuntu2_amd64.deb
sudo dpkg -i kompozer-data_0.8~b3.dfsg.1-0.1ubuntu2_all.deb
sudo dpkg -i kompozer_0.8~b3.dfsg.1-0.1ubuntu2_amd64.deb 
Anschließend lädst du noch das deutsche Sprachpaket herunter Deutsches Sprachpaket
und installierst es über Tools - Addons

Viel Spaß auch weiterhin mit KompoZer!

Re: Installation auf Ubuntu ab 14.04

Verfasst: Fr 1. Mai 2015, 01:17
von camouflage1984
Hallo zusammen

Ich hatte mir Ubuntu 14.10 installiert und bin nach der Anleitung von Anke vorgegangen und habe Kompozer Installiert, Kompozer Funktioniert einwandfrei!

Habe heute das Update auf 15.04 ausgeführt.
Kompozer Funktioniert auch unter Ubuntu 15.04 ohne irgendwelche eingriffe :D

Gruß
camouflage1984

Re: Installation auf Ubuntu ab 14.04

Verfasst: Sa 29. Aug 2015, 13:04
von Arran
Hallo

Ich wollte mir KompoZer wieder installieren und bind der Anleitung von Anke gefolgt.
Sowohl auf Kubuntu 14.04 wie auch auf Kubuntu 14.10 verlief die Installation schnell und gut.

Anders ist es dann mit dem Programm. Nachdem ich KompoZer starte kommt das Startbild sofort ohne Probleme. Aber sobald ich auf irgend einen Menüpunkt klicke ist das Programm ohne irgendwelche Fehler- oder andere Meldungen weg.

Hat da jemand ein Idee, an was das liegen könnte?

Re: Installation auf Ubuntu ab 14.04

Verfasst: Do 7. Jan 2016, 14:08
von Philipp
Hallo Experten,
ich bin etwas unbeholfen und komme mit der Installation nicht zurecht.
Bei meinem Ubuntu funktioniert leider kein Terminal mehr. Seit dem Update auf Ubuntu 14.04 ist es nicht mehr möglich mit dem Terminal zu arbeiten. Daher meine Frage: Gibt es eine Möglichkeit ohne Terminal Kompozer zu installieren?
Philipp

Re: Installation auf Ubuntu ab 14.04

Verfasst: Do 7. Jan 2016, 18:05
von anke
Hallo Phillip
du kannst auch jedes einzelne Paketchen über Synaptik einzeln installieren.

Aber ich würde mir an deiner Stelle Gedanken machen, ob das Ubuntu noch in Ordnung ist. Linux ohne Terminal ... schau einmal bei ubuntuusers.de ob die dir dazu weiterhelfen können.

Gruß Anke

Re: Installation auf Ubuntu ab 14.04

Verfasst: Mo 11. Jan 2016, 14:56
von Philipp
Hallo Anke,
Du hast im Prinzip recht. Ich arbeite mit der CAE-Linux Distribution. Bei dieser Distribution gibt es einen Konflikt zwischen den FEM-Tools und den Teminal-Programmen. Eine Lösung für diese Problem ist seitens der Entwickler leider noch nicht in Sicht.

Ich habe alle Abhängigkeiten aus der Liste Installiert. Für die Installation von Kompozer benötige ich aber noch etwas Unterstützung. Ich habe die Version heruntergeladen und entpackt, nun weiß ich nicht so recht weiter. Bin leider nur ein Anfänger.
Ich habe versucht den Downloadordner als Paketquelle zu definieren, das geht natürlich nicht.
Ich habe versucht eine Paketquelle für Kompozer zu finden die der Software-Center bzw Synaptic akzeptiert, leider habe ich so etwas nicht gefunden. Ich habe mir die Wikis zum Synaptic und zum Software-center angesehen, leider konnte ich keine passende Anleitung finden, wie man eine Software aus dem Downloadordner installiert.

Vielen Dank für Eure Tipps
Philipp

Re: Installation auf Ubuntu ab 14.04

Verfasst: Mo 11. Jan 2016, 16:27
von anke
Hallo Phillip
versuche einmal - Ordner öffnen und auf die Datei kompozer (ohne Endung) klicken.

Re: Installation auf Ubuntu ab 14.04

Verfasst: Mi 13. Jan 2016, 10:10
von Philipp
Hallo Anke,
Beim Ausführen tut sich gar nichts.
Beim Öffnen mit Softwar-center kommt eine Fehlermeldung, "Datei konnte nicht geöffnet werden".
Beim Öffnen mit Terminal passiert leider auch nichts.
Wenn Du noch eine gute Idee hast würde mich das sehr freuen.
Vielen Dank
Philipp

Re: Installation auf Ubuntu ab 14.04

Verfasst: Sa 16. Jan 2016, 11:43
von Philipp
Ich habe das Problem gelöst. Es gibt im CAE Linux Einträge für "Code Aster", die verhindern das ein Terminal funktioniert.
Also habe ich unter Synaptic nach "Code Aster" gesucht und den Eintrag "add on for caelinux 2013" entfernt. jetzt funktioniert das Terminal wieder und ich konnte den Kompozer installieren.
Vielen Dank für Eure Hilfe
Philipp

Re: Installation auf Ubuntu ab 14.04

Verfasst: Sa 16. Jan 2016, 13:14
von anke
Wow, supee, da muss man auch erst einmal drauf kommen.
Dann wünsche ich dir viel Spaß mit KompoZer ;)

Gruß Anke